/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["**/*.twig", "*.theme", "inc/**/*.inc"],
  theme: {
    screens: {
      sm: "640px",
      // => @media (min-width: 640px) { ... }

      md: "768px",
      // => @media (min-width: 768px) { ... }

      lg: "1024px",
      // => @media (min-width: 1024px) { ... }

      xl: "1280px",
      // => @media (min-width: 1280px) { ... }

      "2xl": "1536px",
      // => @media (min-width: 1536px) { ... }
    },
    container: {
      center: true,
      padding: {
        DEFAULT: "15px",
      },
    },
    extend: {
      fontSize: {
        "h1-bold": [
          "30px",
          {
            lineHeight: "75.52px",
            fontWeight: "700",
          },
        ],
        "h1-medium": [
          "30px",
          {
            lineHeight: "75.52px",
            fontWeight: "500",
          },
        ],
        "h1-regular": [
          "30px",
          {
            lineHeight: "71.68px",
            fontWeight: "400",
          },
        ],
      },
      colors: {
        black: "#000000",
        white: "#ffffff",
      },
    },
  },
  plugins: [
    require("@tailwindcss/typography"),
    require("tailwindcss-rtl"),
    require("tailwind-scrollbar")({ nocompatible: true }),
    require("tailwindcss-animated"),
    require("./plugin/tailwindcss-rfs"),
  ],
};
